> ## Documentation Index
> Fetch the complete documentation index at: https://developer.runa.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Get account balance

> Fetch the current balances for your account

Retrieves the account balance.

* If the `currency` parameter is provided, the response will be a single balance object for the currency requested.
* If the `currency` parameter is omitted, the response will be an array of balance objects for all currencies with a balance greater than 0.

<Card title="Need a hand with balances?" href="/features/balances" icon="graduation-cap" horizontal arrow>
  Take a read of our guide to help manage your balances, including setting up
  alerts.
</Card>


## OpenAPI

````yaml reference/2024-02-05/openapi.json GET /balance
openapi: 3.1.1
info:
  title: Runa
  version: '2.0'
  description: The public Runa API
  license:
    name: Ⓒ Runa
    url: https://runa.io/terms-of-use
  contact:
    name: Runa
    url: https://runa.io
    email: info@runa.io
servers:
  - url: https://playground.runa.io/v2
    description: Playground
  - url: https://api.runa.io/v2
    description: Production
security:
  - ApiKeyAuth: []
tags:
  - name: utility
    description: Utility endpoints.
  - name: balance
    description: Operations related to account balance.
  - name: products
    description: Operations related to products.
  - name: orders
    description: Operations related to ordering and orders.
externalDocs:
  url: https://developer.runa.com/reference
  description: Runa API Reference
paths:
  /balance:
    get:
      tags:
        - balance
      summary: Get account balance
      description: >-
        Retrieves the account balance. Returns the balance in a specified
        currency if the currency parameter is provided. If not, returns all
        balances greater than 0.
      operationId: getBalance
      parameters:
        - $ref: '#/components/parameters/X-Api-Version'
        - $ref: '#/components/parameters/CurrencyForAccount'
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                oneOf:
                  - title: Single balance
                    description: >-
                      If the `currency` parameter is provided, the response will
                      be a single balance object.
                    type: object
                    properties:
                      balance:
                        $ref: '#/components/schemas/BalanceForAccount'
                      currency:
                        $ref: '#/components/schemas/CurrencyForAccount'
                  - title: Multiple balances
                    description: >-
                      If the `currency` parameter is omitted, the response will
                      be an array of balance objects.
                    type: array
                    items:
                      type: object
                      properties:
                        balance:
                          $ref: '#/components/schemas/BalanceForAccount'
                        currency:
                          $ref: '#/components/schemas/CurrencyForAccount'
              examples:
                Single Balance:
                  summary: Single balance
                  value:
                    balance: '10.00'
                    currency: USD
                Multiple Balances:
                  summary: Multiple balances
                  value:
                    - balance: '10.00'
                      currency: USD
                    - balance: '8.50'
                      currency: GBP
        '400':
          $ref: '#/components/responses/BadRequest'
        '401':
          $ref: '#/components/responses/Unauthorized'
        '403':
          $ref: '#/components/responses/Forbidden'
        '500':
          $ref: '#/components/responses/InternalServerError'
components:
  parameters:
    X-Api-Version:
      name: X-Api-Version
      description: >-
        The dated version of the API, if not specified a default is used. See
        [API versioning](/best-practices/api-versioning) for more information.
      in: header
      required: false
      schema:
        type: string
    CurrencyForAccount:
      name: currency
      required: false
      schema:
        type: string
        pattern: ^[A-Z]{3}$
      description: >-
        The currency of the account, represented by ISO 4217 currency codes.
        Check the [currencies](/reference/currencies) for a listing of supported
        currencies.
      in: query
      example: USD
  schemas:
    BalanceForAccount:
      title: Balance
      description: The balance of the account.
      type: string
      example: '10.00'
      pattern: ^[0-9]+\.[0-9]{2}$
    CurrencyForAccount:
      type: string
      pattern: ^[A-Z]{3}$
      description: >-
        The currency of the account, represented by ISO 4217 currency codes.
        Check the [currencies](/reference/currencies) for a listing of supported
        currencies.
      example: USD
    APIErrorResponse:
      title: APIErrorResponse
      required:
        - type
        - message
      type: object
      properties:
        type:
          title: Type
          description: An error code or type.
          type: string
          example: not-found
        message:
          title: Message
          description: A human readable summary of the error.
          type: string
          example: The requested resource was not found
        help:
          title: Help
          description: Additional information that pertains to the error.
          type: string
          example: Please check the resource ID and try again.
      description: Generic Runa API error response.
  responses:
    BadRequest:
      description: Bad request
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/APIErrorResponse'
    Unauthorized:
      description: Unauthorized
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/APIErrorResponse'
    Forbidden:
      description: Forbidden
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/APIErrorResponse'
    InternalServerError:
      description: Internal server error
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/APIErrorResponse'
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: X-Api-Key
      description: >-
        Your API key. See the [API key](/getting-started/api-key) page on
        details of how to generate and store your keys.

````